Announcement

Collapse
No announcement yet.

Advanced Sessions Plugin

Collapse
X
  • Filter
  • Time
  • Show
Clear All
new posts

  • I've deleted it like 3 times now :/ Doesn't work I deleted everything apart from config and content and tried to build it again but I've still got the same issue this is my thread if you want to look at the whole error log.
    https://answers.unrealengine.com/que...ild-error.html

    Comment


    • Originally posted by NijoMeister View Post
      I've deleted it like 3 times now :/ Doesn't work I deleted everything apart from config and content and tried to build it again but I've still got the same issue this is my thread if you want to look at the whole error log.
      https://answers.unrealengine.com/que...ild-error.html
      Yeah I saw that, but I meant delete it from the plugin folder...There are intermediate folders in there as well.

      You should try what I just did and make a blank project real fast with just the plugin off of a template and see if you can package it.


      Consider supporting me on patreon

      My Open source tools and plugins
      Advanced Sessions Plugin
      VR Expansion Plugin

      Comment


      • Originally posted by mordentral View Post
        After deleting the intermediate folder in the plugin folder?

        Code:
        D:/ThirdpersonGame/Plugins/AdvancedSessions/AdvancedSessions/Intermediate/Build/Win64/UE4/Development/AdvancedSessions/PCH.AdvancedSessions.h(32): error C2001: newline in constan
        Was what you reported.

        *Edit* Scratch that, the binary zip version still has the precompiled headers, only the repository version doesn't. Forgot that it didn't warrant a zip update and I was waiting until 4.16 to make the change outside of source.

        Regardless I just created a blank project, added the zip plugin to it, created a c++ blank class, and packed it out for shipping win32 with no issues...
        I tried creating a blank c++ class and it said I needed to recompile so I restarted the editor and now I'm getting a popup saying "the following modules are missing or built with a different engine version: would you like to rebuild them now? I hit yes then after a bit it says could not be compiled try to rebuild from source. I'm googling these issues to find a solution. Also what do you mean by zip plugin?

        Comment


        • Originally posted by Brylos View Post
          I tried creating a blank c++ class and it said I needed to recompile so I restarted the editor and now I'm getting a popup saying "the following modules are missing or built with a different engine version: would you like to rebuild them now? I hit yes then after a bit it says could not be compiled try to rebuild from source. I'm googling these issues to find a solution. Also what do you mean by zip plugin?
          Open the .sln file and compile the project from within visual studio, you shouldn't have needed to restart though, when creating the class it should have allowed you to compile with the editor open.


          Consider supporting me on patreon

          My Open source tools and plugins
          Advanced Sessions Plugin
          VR Expansion Plugin

          Comment


          • Originally posted by mordentral View Post
            Open the .sln file and compile the project from within visual studio, you shouldn't have needed to restart though, when creating the class it should have allowed you to compile with the editor open.
            I've googled where to find that but I don't where it is. Could you tell me where to find it?

            Comment


            • It still failed after removing that folder :/

              Comment


              • Originally posted by Brylos View Post
                I've googled where to find that but I don't where it is. Could you tell me where to find it?
                You can skip all of this if you just install the plugin in Unreal Engine/4.15/engine/Plugins, you won't need to generate code for your project anymore (the Add New C++ class) and it won't have to re-compile the binaries when packaging.

                when installed in the project level it WILL re-compile the plugin when packaging as it is in a volatile location.

                I just updated the installation paragraph to mention this, prior to 4.12 or .13 this was not possible, but since it is now I should have updated the installation notice awhile ago.



                When installed to that location (and NOT a version in the project location as well) you don't have to think about anything.
                Last edited by mordentral; 04-18-2017, 02:20 PM.


                Consider supporting me on patreon

                My Open source tools and plugins
                Advanced Sessions Plugin
                VR Expansion Plugin

                Comment


                • Originally posted by mordentral View Post
                  You can skip all of this if you just install the plugin in Unreal Engine/4.15/engine/Plugins, you won't need to generate code for your project anymore (the Add New C++ class) and it won't have to re-compile the binaries when packaging.

                  when installed in the project level it WILL re-compile the plugin when packaging as it is in a volatile location.
                  Yeah I had already done that and It didn't work. Got the same error on multiple projects.

                  Comment


                  • Originally posted by Brylos View Post
                    Yeah I had already done that and It didn't work. Got the same error on multiple projects.
                    Do you have a compiler even installed? And did you remove the copy from the project folder?


                    Consider supporting me on patreon

                    My Open source tools and plugins
                    Advanced Sessions Plugin
                    VR Expansion Plugin

                    Comment


                    • I know you state you won't be adding in Steam Authentication but looking at this its pretty straight forward if you did add it in? https://wiki.unrealengine.com/Using_...Authentication

                      Comment


                      • Originally posted by OverRated_AU View Post
                        I know you state you won't be adding in Steam Authentication but looking at this its pretty straight forward if you did add it in? https://wiki.unrealengine.com/Using_...Authentication
                        Thats not "enabling it", you have to merge his pull request into a source copy of the engine, build it, and then use his extra variable when hosting the server then. His pull request changes a lot of things on the back end of the steam subsystem to get authentication working. Most of what he changed is not plugin accessible as well, so it would involve re-creating large sections of the Steam Subsystem or even entirely remaking it to get it working with a plugin.

                        Would rather get it feature added into the engine itself as that is where it should be to begin with.

                        *Edit* If you follow his tutorial and merge his pull request and add that boolean to your game mode this plugin would work normally with it except it would have steam authentication as well, can skip the c++ session creation.
                        Last edited by mordentral; 04-20-2017, 12:57 PM.


                        Consider supporting me on patreon

                        My Open source tools and plugins
                        Advanced Sessions Plugin
                        VR Expansion Plugin

                        Comment


                        • Pushed a commit to the plugin - binaries will be up within an hour

                          Code:
                          Fixed some missing safety checks in the voice library


                          Consider supporting me on patreon

                          My Open source tools and plugins
                          Advanced Sessions Plugin
                          VR Expansion Plugin

                          Comment


                          • Hello mordentral! Thanks for you awesome plugin. I've recently started digging in all that UE client-server stuff but still dont' understand how it works. There are a lot of not obvious things, so maybe you can give me a direction to search. I'm trying to make lobby with 4 slots, that can be player or bot. The question is how to tell the server that slot is occupied by bot and count of free slots is less than count of connected players?

                            Comment


                            • Originally posted by mordentral View Post
                              Do you have a compiler even installed? And did you remove the copy from the project folder?
                              It turns out that the issue was that I was using Visual Studio 2017 and not 2015. Once I installed 2015 and uninstalled 2017 the packaging worked. Thanks for the awesome plugin

                              Comment


                              • Originally posted by Brylos View Post
                                It turns out that the issue was that I was using Visual Studio 2017 and not 2015. Once I installed 2015 and uninstalled 2017 the packaging worked. Thanks for the awesome plugin
                                2017 works, but you have to install the c++ "game package" on it when installing. Since none of the documentation for installing the engine is updated for 2017 I get the feeling most people are missing out on this.


                                Consider supporting me on patreon

                                My Open source tools and plugins
                                Advanced Sessions Plugin
                                VR Expansion Plugin

                                Comment

                                Working...
                                X